Bug 293031 - nx uses vulnerable XFree86 code
nx uses vulnerable XFree86 code
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nx (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
http://bugs.gentoo.org/show_bug.cgi?i...
source=gentoo
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-17 06:37 EDT by Lubomir Kundrak
Modified: 2008-03-06 11:34 EST (History)
1 user (show)

See Also:
Fixed In Version: 3.1.0-25.1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-06 11:34:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-09-17 06:37:27 EDT
Description of problem:

I bring this to your attention:
http://bugs.gentoo.org/show_bug.cgi?id=192712

Seems like the worst thing the "attacker" would be able to do is to run code as
himself. But just to be sure (I'm not the right person to decide about that),
please give it a short look. Thanks!
Comment 1 Lubomir Kundrak 2007-10-10 14:39:35 EDT
http://lwn.net/Articles/253872/
Comment 2 Gwyn Ciesla 2007-10-10 14:51:02 EDT
Axel, I'll start work on the upgrade to 3.x if you don't object.
Comment 3 Gwyn Ciesla 2007-11-01 13:11:58 EDT
Sorry for the delay, but I'm having trouble getting 3.x packaged.  Some of the
tarballs have changed, I'm not familiar with the build process for this package,
and I've not had the time of late to get in depth on it.  Axel, have you been
able to look at this?
Comment 4 Lubomir Kundrak 2007-11-09 06:34:03 EST
Ping on this. Is any of the package maintainers willing to address the problem?
Comment 5 Gwyn Ciesla 2007-11-09 07:14:30 EST
I'd love to, but I really need Axel's help with this, as he's much more familiar
with the somewhat odd build process for nx.
Comment 6 Fedora Update System 2008-03-04 18:03:09 EST
nx-3.1.0-25.1.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-03-06 11:34:17 EST
nx-3.1.0-25.1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.